VideoZoomPreference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.device
Interface VideoZoomPreference

    public interface VideoZoomPreference

An interface that defines the constants that can be used for specifying zoom mode preferences in an HVideoConfigTemplate.

See Also:
  `VideoFormatControl`, `HVideoConfigTemplate`

Field Summary
`static int` | `ZOOM_MODE` A value for use in the preference field of the `setPreference`, `getPreferenceObject` and `getPreferencePriority` methods in the `HVideoConfigTemplate` that indicates that the `HVideoConfiguration` implies a specific decoder format conversion as specified in an `Integer` object.

Field Detail

### ZOOM_MODE

    static final int ZOOM_MODE

  A value for use in the preference field of the `setPreference`, `getPreferenceObject` and `getPreferencePriority` methods in the `HVideoConfigTemplate` that indicates that the `HVideoConfiguration` implies a specific decoder format conversion as specified in an `Integer` object. Valid preference objects for this preference are instances of `Integer` to be interpreted as a decoder format conversion constant for the profile (e.g., one of the VideoFormatControl `DFC_* constants`).

  The `ZOOM_MODE` preference SHALL be applied to convert input video with one aspect ratio when presented on a full-screen `HVideoDevice` with another display aspect ratio when not overridden by an application-directed setting. That is, the `ZOOM_MODE` preference setting for the HVideoDevice is applied by default for newly created JMF Players or when `VideoFormatControl.DFC_PLATFORM` is the current decoder format conversion setting for a JMF `Player`.

  Instances of `HVideoConfigTemplate` generated by the platform and returned to applications (e.g., from `HVideoConfiguration.getConfigTemplate()` SHALL have this preference set to a valid platform-supported DFC constant (as an instance of `Integer`) with `REQUIRED` priority.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD